<?php

use Twig\Environment;
use Twig\Error\LoaderError;
use Twig\Error\RuntimeError;
use Twig\Markup;
use Twig\Sandbox\SecurityError;
use Twig\Sandbox\SecurityNotAllowedTagError;
use Twig\Sandbox\SecurityNotAllowedFilterError;
use Twig\Sandbox\SecurityNotAllowedFunctionError;
use Twig\Source;
use Twig\Template;

/* displaygroup-form-edit.twig */
class __TwigTemplate_0ac12f1b267630c3865a9c7cd3d946d92e47922b113a9b4a90b9327eafc4ff61 extends \Twig\Template
{
    public function __construct(Environment $env)
    {
        parent::__construct($env);

        $this->blocks = [
            'formTitle' => [$this, 'block_formTitle'],
            'formButtons' => [$this, 'block_formButtons'],
            'formFieldActions' => [$this, 'block_formFieldActions'],
            'callBack' => [$this, 'block_callBack'],
            'formHtml' => [$this, 'block_formHtml'],
        ];
    }

    protected function doGetParent(array $context)
    {
        // line 10
        return "form-base.twig";
    }

    protected function doDisplay(array $context, array $blocks = [])
    {
        // line 11
        $context["forms"] = $this->loadTemplate("forms.twig", "displaygroup-form-edit.twig", 11)->unwrap();
        // line 10
        $this->parent = $this->loadTemplate("form-base.twig", "displaygroup-form-edit.twig", 10);
        $this->parent->display($context, array_merge($this->blocks, $blocks));
    }

    // line 13
    public function block_formTitle($context, array $blocks = [])
    {
        // line 14
        echo "    ";
        echo __("Edit Display Group");
    }

    // line 17
    public function block_formButtons($context, array $blocks = [])
    {
        // line 18
        echo "    ";
        echo __("Help");
        echo ", XiboHelpRender(\"";
        echo twig_escape_filter($this->env, ($context["help"] ?? null), "html", null, true);
        echo "\")  
    ";
        // line 19
        echo __("Cancel");
        echo ", XiboDialogClose()
    ";
        // line 20
        echo __("Save");
        echo ", \$(\"#displayGroupEditForm\").submit()
";
    }

    // line 23
    public function block_formFieldActions($context, array $blocks = [])
    {
        // line 24
        echo "    [{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": false,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"none\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"init\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"block\" }
    }
    },{
    \"field\": \"isDynamic\",
    \"trigger\": \"change\",
    \"value\": true,
    \"operation\": \"is:checked\",
    \"actions\": {
    \".dynamic-fields\": { \"display\": \"block\" }
    }
    }]
";
    }

    // line 59
    public function block_callBack($context, array $blocks = [])
    {
        echo "displayGroupFormOpen";
    }

    // line 61
    public function block_formHtml($context, array $blocks = [])
    {
        // line 62
        echo "    <div class=\"row\">
        <div class=\"col-md-12\">
            <form id=\"displayGroupEditForm\" class=\"XiboForm form-horizontal displayGroupForm\" method=\"put\" action=\"";
        // line 64
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("displayGroup.edit", ["id" => $this->getAttribute(($context["displayGroup"] ?? null), "displayGroupId", [])]), "html", null, true);
        echo "\" data-gettag=\"";
        echo twig_escape_filter($this->env, $this->env->getExtension('Slim\Views\TwigExtension')->urlFor("tag.getByName"), "html", null, true);
        echo "\">
                ";
        // line 65
        ob_start(function () { return ''; });
        echo __("Name");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 66
        echo "                ";
        ob_start(function () { return ''; });
        echo __("The Name for this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 67
        echo "                ";
        echo $context["forms"]->getinput("displayGroup", ($context["title"] ?? null), $this->getAttribute(($context["displayGroup"] ?? null), "displayGroup", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 69
        ob_start(function () { return ''; });
        echo __("Description");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 70
        echo "                ";
        ob_start(function () { return ''; });
        echo __("A short description of this Display Group");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 71
        echo "                ";
        echo $context["forms"]->getinput("description", ($context["title"] ?? null), $this->getAttribute(($context["displayGroup"] ?? null), "description", []), ($context["helpText"] ?? null));
        echo "

                ";
        // line 73
        ob_start(function () { return ''; });
        echo __("Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 74
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Tags for this Display Group - Comma separated string of Tags or Tag|Value format. If you choose a Tag that has associated values, they will be shown for selection below.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 75
        echo "                ";
        echo $context["forms"]->getinputWithTags("tags", ($context["title"] ?? null), ($context["tags"] ?? null), ($context["helpText"] ?? null), "tags-with-value");
        echo "

                <p id=\"loadingValues\" style=\"margin-left: 17%\"></p>

                ";
        // line 79
        ob_start(function () { return ''; });
        echo __("Tag value");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 80
        echo "                ";
        echo $context["forms"]->getdropdown("tagValue", "single", ($context["title"] ?? null), "", ($context["options"] ?? null), "key", "value");
        echo "

                <div id=\"tagValueContainer\">
                    ";
        // line 83
        ob_start(function () { return ''; });
        echo __("Tag value");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 84
        echo "                    ";
        ob_start(function () { return ''; });
        echo __("Please provide the value for this Tag and confirm by pressing enter on your keyboard.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 85
        echo "                    ";
        echo $context["forms"]->getinput("tagValueInput", ($context["title"] ?? null), "", ($context["helpText"] ?? null));
        echo "
                </div>

                <div id=\"tagValueRequired\" class=\"alert alert-info\">
                    <p>";
        // line 89
        echo __("This tag requires a set value, please select one from the Tag value dropdown or provide Tag value in the dedicated field.");
        echo "</p>
                </div>

                ";
        // line 92
        ob_start(function () { return ''; });
        echo __("Dynamic Group?");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 93
        echo "                ";
        ob_start(function () { return ''; });
        echo __("Are the members of this group dynamic?");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 94
        echo "                ";
        echo $context["forms"]->getcheckbox("isDynamic", ($context["title"] ?? null), $this->getAttribute(($context["displayGroup"] ?? null), "isDynamic", []), ($context["helpText"] ?? null));
        echo "

                <div class=\"widget dynamic-fields\">
                    <div class=\"widget-title\">";
        // line 97
        echo __("Displays");
        echo "</div>
                    <div class=\"widget-body\">
                        <div class=\"FilterDiv\" id=\"Filter\">
                            ";
        // line 100
        ob_start(function () { return ''; });
        echo __("Criteria");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 101
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of regular expressions run against the Display name to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 102
        echo "                            ";
        echo $context["forms"]->getinput("dynamicCriteria", ($context["title"] ?? null), $this->getAttribute(($context["displayGroup"] ?? null), "dynamicCriteria", []), ($context["helpText"] ?? null), "dynamic-fields");
        echo "

                            ";
        // line 104
        ob_start(function () { return ''; });
        echo __("Criteria Tags");
        $context["title"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 105
        echo "                            ";
        ob_start(function () { return ''; });
        echo __("A comma separated set of tags run against the Display tag to determine membership.");
        $context["helpText"] = ('' === $tmp = ob_get_clean()) ? '' : new Markup($tmp, $this->env->getCharset());
        // line 106
        echo "                            ";
        echo $context["forms"]->getinputWithTags("dynamicCriteriaTags", ($context["title"] ?? null), $this->getAttribute(($context["displayGroup"] ?? null), "dynamicCriteriaTags", []), ($context["helpText"] ?? null), "dynamic-fields");
        echo "

                            ";
        // line 108
        echo $context["forms"]->gethidden("useRegexForName", 1);
        echo "
                        </div>

                        <div class=\"XiboData\">
                            <table id=\"displayGroupDisplays\" class=\"table table-striped\">
                                <thead>
                                <tr>
                                    <th>";
        // line 115
        echo __("ID");
        echo "</th>
                                    <th>";
        // line 116
        echo __("Display");
        echo "</th>
                                    <th>";
        // line 117
        echo __("Tags");
        echo "</th>
                                    <th>";
        // line 118
        echo __("Status");
        echo "</th>
                                    <th>";
        // line 119
        echo __("Licence");
        echo "</th>
                                </tr>
                                </thead>
                                <tbody>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </form>
        </div>
    </div>
";
    }

    public function getTemplateName()
    {
        return "displaygroup-form-edit.twig";
    }

    public function isTraitable()
    {
        return false;
    }

    public function getDebugInfo()
    {
        return array (  292 => 119,  288 => 118,  284 => 117,  280 => 116,  276 => 115,  266 => 108,  260 => 106,  255 => 105,  251 => 104,  245 => 102,  240 => 101,  236 => 100,  230 => 97,  223 => 94,  218 => 93,  214 => 92,  208 => 89,  200 => 85,  195 => 84,  191 => 83,  184 => 80,  180 => 79,  172 => 75,  167 => 74,  163 => 73,  157 => 71,  152 => 70,  148 => 69,  142 => 67,  137 => 66,  133 => 65,  127 => 64,  123 => 62,  120 => 61,  114 => 59,  77 => 24,  74 => 23,  68 => 20,  64 => 19,  57 => 18,  54 => 17,  49 => 14,  46 => 13,  41 => 10,  39 => 11,  33 => 10,);
    }

    /** @deprecated since 1.27 (to be removed in 2.0). Use getSourceContext() instead */
    public function getSource()
    {
        @trigger_error('The '.__METHOD__.' method is deprecated since version 1.27 and will be removed in 2.0. Use getSourceContext() instead.', E_USER_DEPRECATED);

        return $this->getSourceContext()->getCode();
    }

    public function getSourceContext()
    {
        return new Source("", "displaygroup-form-edit.twig", "/home/mgatv524/public_html/edurocha/views/displaygroup-form-edit.twig");
    }
}
